//
// Core Program for TETDM 
// tet.java Version 4.77
// Copyright(C) 2011-2022 TETDM CORE MEMBER ALL RIGHTS RESERVED.
// This program is provided under the license.
//

package source;

import java.io.*;
import java.util.*;

class tet
{
	public static void main(String args[])
	{
        final double version = 4.77;
        ;
        
		String inputFileName = "";				
		String absolutePath;
        boolean english = false;
        boolean utf8code = false;

		if(args.length > 0)
			inputFileName = args[0];
		else
			inputFileName = "text" + File.separator + "empty.txt";
		
		if(args.length > 1)
		{
			if(Integer.parseInt(args[1]) == 1)
				english = true;
			else
				english = false;
		}
        
        if(args.length > 2)
        {
            if(Integer.parseInt(args[2]) == 1)
                utf8code = true;
            else
                utf8code = false;
        }

		if(args.length > 3)
			absolutePath = args[3];
		else			
			absolutePath = new File(".").getAbsoluteFile().getParent() + File.separator;
        

		
		MainFrame frm = new MainFrame(inputFileName, absolutePath, english, utf8code, version);
	}
}
